tbb::concurrent_vector< T, A >::generic_range_type< I > Class Template Reference
Inheritance diagram for tbb::concurrent_vector< T, A >::generic_range_type< I >:
Collaboration diagram for tbb::concurrent_vector< T, A >::generic_range_type< I >:

## Public Types

typedef T | value_type
typedef T & | reference
typedef const T & | const_reference
typedef I | iterator
typedef ptrdiff_t | difference_type
Public Types inherited from tbb::blocked_range< I >
typedef I | const_iterator
| Type of a value. More...
typedef std::size_t | size_type
| Type for size of a range. More...

## Public Member Functions

| generic_range_type (I begin_, I end_, size_t grainsize_=1)
template<typename U >
| generic_range_type (const generic_range_type< U > &r)
| generic_range_type (generic_range_type &r, split)
Public Member Functions inherited from tbb::blocked_range< I >
| blocked_range (I begin_, I end_, size_type grainsize_=1)
| Construct range over half-open interval [begin,end), with the given grainsize. More...
| blocked_range (blocked_range &r, split)
| Split range. More...
| blocked_range (blocked_range &r, proportional_split &proportion)
| Split range. More...
const_iterator | begin () const
| Beginning of range. More...
const_iterator | end () const
| One past last value in range. More...
size_type | size () const
| Size of the range. More...
size_type | grainsize () const
| The grain size for this range. More...
bool | empty () const
| True if range is empty. More...
bool | is_divisible () const
| True if range is divisible. More...

## Additional Inherited Members

Static Public Attributes inherited from tbb::blocked_range< I >
static const bool | is_splittable_in_proportion
| Static field to support proportional split. More...

## Detailed Description

### template<typename T, class A>
template<typename I>
class tbb::concurrent_vector< T, A >::generic_range_type< I >

Definition at line 554 of file concurrent_vector.h.

## Member Typedef Documentation

## const_reference

template<typename T , class A >
template<typename I >

typedef const T& tbb::concurrent_vector< T, A >::generic_range_type< I >::const_reference

Definition at line 558 of file concurrent_vector.h.

## difference_type

template<typename T , class A >
template<typename I >

typedef ptrdiff_t tbb::concurrent_vector< T, A >::generic_range_type< I >::difference_type

Definition at line 560 of file concurrent_vector.h.

## iterator

template<typename T , class A >
template<typename I >

typedef I tbb::concurrent_vector< T, A >::generic_range_type< I >::iterator

Definition at line 559 of file concurrent_vector.h.

## reference

template<typename T , class A >
template<typename I >

typedef T& tbb::concurrent_vector< T, A >::generic_range_type< I >::reference

Definition at line 557 of file concurrent_vector.h.

## value_type

template<typename T , class A >
template<typename I >

typedef T tbb::concurrent_vector< T, A >::generic_range_type< I >::value_type

Definition at line 556 of file concurrent_vector.h.

## Constructor & Destructor Documentation

## generic_range_type() [1/3]

template<typename T , class A >
template<typename I >

tbb::concurrent_vector< T, A >::generic_range_type< I >::generic_range_type | ( | I | begin_,
|  | I | end_,
|  | size_t | grainsize_ = `1`
| ) |  |

inline

Definition at line 561 of file concurrent_vector.h.

: blocked_range<I>(begin_,end_,grainsize_) {}

## generic_range_type() [2/3]

template<typename T , class A >
template<typename I >
template<typename U >

tbb::concurrent_vector< T, A >::generic_range_type< I >::generic_range_type | ( | const generic_range_type< U > & | r | ) |

inline

Definition at line 563 of file concurrent_vector.h.

: blocked_range<I>(r.begin(),r.end(),r.grainsize()) {}

## generic_range_type() [3/3]

template<typename T , class A >
template<typename I >

tbb::concurrent_vector< T, A >::generic_range_type< I >::generic_range_type | ( | generic_range_type< I > & | r,
|  | split |
| ) |  |

inline

Definition at line 564 of file concurrent_vector.h.

: blocked_range<I>(r,split()) {}

The documentation for this class was generated from the following file:

- concurrent_vector.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.